Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep
Class MatrixOperatorSet

    java.lang.Object
      org.nfunk.jep.OperatorSet
          org.lsmp.djep.xjep.XOperatorSet
              org.lsmp.djep.matrixJep.MatrixOperatorSet

    public class MatrixOperatorSet

extends XOperatorSet

The set of operators used in matricies.

Author:
  Rich Morris Created on 27-Jul-2003

Field Summary
`protected Operator` | `TENSOR`

Fields inherited from class org.nfunk.jep.OperatorSet
`OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NOT, OP_OR, OP_POWER, OP_SUBTRACT, OP_UDIVIDE, OP_UMINUS`

Constructor Summary
`MatrixOperatorSet()`

Method Summary
`Operator` | `getMList()`
`Operator[]` | `getOperators()` Gets the list of operators.

Methods inherited from class org.lsmp.djep.xjep.XOperatorSet
`printOperators, setPrecedenceTable`

Methods inherited from class org.nfunk.jep.OperatorSet
`getAdd, getAnd, getAssign, getCross, getDivide, getDot, getElement, getEQ, getGE, getGT, getLE, getList, getLT, getMod, getMultiply, getNE, getNot, getOr, getPower, getSubtract, getUMinus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TENSOR

    protected Operator TENSOR

Constructor Detail

### MatrixOperatorSet

    public MatrixOperatorSet()

Method Detail

### getMList

    public Operator getMList()

### getOperators

    public Operator[] getOperators()

  Description copied from class: `OperatorSet`
  Gets the list of operators. Note subclasses should override this method.

  Overrides:
    `getOperators` in class `OperatorSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems